/**
 * Name: Solver.cpp
 *
 * Copyright (c) 2005 University of Bournemouth
 */
#include "Solver.h"

using namespace GraphicsLib;
using namespace ParticleSystems;
using namespace std;

Solver::Solver(Force *f) {
	forces.insert(forces.begin(),f);
}

Solver::Solver() {
}

Solver::~Solver() {
}

void Solver::listForces() {
	int size = forces.size();
	forcesItt = forces.begin();
	for(int i = 0; i < size; i++) {
		cout << "Method not yet implemented" << endl;
		//cout << i << " " << (forcesItt->force) << endl;
	}
}

void Solver::addForce(Force *f) {
	forces.push_back(f);
	//need to be sorted inorder to remove forces
	std::sort(forces.begin(),forces.end());
}

void Solver::removeForce(Force *f) {
	//find the given Force.
	forcesItt = std::find(forces.begin(),forces.end(),f);
	//If it matches the last element we know that
	//it didnt find the given force.
	if(forcesItt != forces.end()) {
		forces.erase(forcesItt);
	}
}
